# Stored Payment Methods

Stored Payment Methods

 - [POST /storedPaymentMethods/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/createstoredpaymentmethod.md): This method will auto-generate an ID and create a new stored payment method. If an ID is specified for the stored payment method, an error will be thrown.
 - [POST /storedPaymentMethods/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /storedPaymentMethods/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/listmethodsbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/liststoredpaymentmethodsforportal.md): This method will scan all stored payment methods and and return them to the caller for a given contact.
 - [POST /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/createstoredpaymentmethodforportal.md): This method will auto-generate an ID and create a new stored payment method. If an ID is specified for the stored payment method, an error will be thrown.
 - [DELETE /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/deletestoredpaymentmethodforportal.md): This method will delete a stored payment method with the specified ID.
 - [GET /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/getstoredpaymentmethodforportal.md): This method will look up a stored payment method by the specified ID and return it back (for a portal contact)
 - [PUT /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/updatestoredpaymentmethodforportal.md): This method will update an existing stored payment method with the specified ID.
 - [DELETE /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/deletestoredpaymentmethod.md): This method will delete a stored payment method with the specified ID.
 - [GET /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/getstoredpaymentmethod.md): This method will look up a stored payment method by the specified ID and return it back.
 - [PATCH /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/patchstoredpaymentmethod.md): This method will patch an existing stored payment method with the specified ID, using the HTTP PATCH specification.
 - [PUT /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/updatestoredpaymentmethod.md): This method will update an existing stored payment method with the specified ID.
